com.holonplatform.vaadin7.data

## Interface ItemDataSource.ItemSort<PROPERTY>

- Type Parameters:
    `PROPERTY` - Item property type
  All Superinterfaces:
    Serializable
  Enclosing interface:
    ItemDataSource<ITEM,PROPERTY>

      public static interface ItemDataSource.ItemSort<PROPERTY>
      extends Serializable

  An item sort directive.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <PROPERTY> ItemDataSource.ItemSort<PROPERTY>` | `asc(PROPERTY property)` Create an ascending `ItemDataSource.ItemSort` using given property.
    `static <PROPERTY> ItemDataSource.ItemSort<PROPERTY>` | `desc(PROPERTY property)` Create an descending `ItemDataSource.ItemSort` using given property.
    `PROPERTY` | `getProperty()` Item property to sort
    `boolean` | `isAscending()` Sort direction
    `static <PROPERTY> ItemDataSource.ItemSort<PROPERTY>` | `of(PROPERTY property, boolean ascending)` Create an `ItemDataSource.ItemSort` using given property and sort direction.

- - ### Method Detail

    - #### getProperty

          PROPERTY getProperty()

      Item property to sort
      Returns:
        Item property to sort

    - #### isAscending

          boolean isAscending()

      Sort direction
      Returns:
        `true` if ascending, `false` if descending

    - #### of

          static <PROPERTY> ItemDataSource.ItemSort<PROPERTY> of(PROPERTY property,
                                                                 boolean ascending)

      Create an `ItemDataSource.ItemSort` using given property and sort direction.
      Type Parameters:
        `PROPERTY` - Property type
      Parameters:
        `property` - Property to sort (not null)
        `ascending` - `true` to sort ascending, `false` for descending
      Returns:
        Item sort

    - #### asc

          static <PROPERTY> ItemDataSource.ItemSort<PROPERTY> asc(PROPERTY property)

      Create an ascending `ItemDataSource.ItemSort` using given property.
      Type Parameters:
        `PROPERTY` - Property type
      Parameters:
        `property` - Property to sort (not null)
      Returns:
        Item sort

    - #### desc

          static <PROPERTY> ItemDataSource.ItemSort<PROPERTY> desc(PROPERTY property)

      Create an descending `ItemDataSource.ItemSort` using given property.
      Type Parameters:
        `PROPERTY` - Property type
      Parameters:
        `property` - Property to sort (not null)
      Returns:
        Item sort

Copyright © 2019 The Holon Platform. All rights reserved.